> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/modules/oidc/introspection-endpoint.md).

# Introspection endpoint

The introspection endpoint provides a way to validate mainly access tokens (active/inactive) and retrieve their associated claims, such as scopes, subject, expiration time, and client information.

Client credentials must be included in the HTTP Authorization header.

(Authorization: Basic \<credentials>).

{% hint style="info" %}
**Note:** The metadata must contain the `introspection_endpoint` key.
{% endhint %}

```
Example: http://127.0.0.1:8080/oidc/tenant1/introspection-endpoint
```

#### Request parameters

These parameters must be posted as a part of the URL-encoded form values.

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td><code>token</code></td><td>The access token to inspect. Both opaque and jwt is supported.</td><td>true</td></tr></tbody></table>

#### User info endpoint errors

| Error id          | Description                                                            |
| ----------------- | ---------------------------------------------------------------------- |
| `invalid_request` | The request is NOT valid. This is usually due to missing access token. |
| `invalid_client`  | The calling RP is not allowed.                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/modules/oidc/introspection-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
